MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007226ardourbugspublic2017-02-05 16:312017-05-05 05:01
Reportert6sn7gt 
Assigned Tox42 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platform?OSOpenSuse Leap 42OS VersionVersion: rev 5.5
Product Version5.5 
Target VersionFixed in Version 
Summary0007226: EDITOR -- Rulers need more vertical space
DescriptionVersion: rev 5.5-725-g987c1cb
OpenSuse Leap 42
Dell P2415Q monitor
Steps To ReproduceRulers are unusable. Way too scrunched vertically. They need about 1/2" more vertically and the Timecode font needs to be 1 or 2 pts larger, a bit more like the Nudge size above it. In the ruler, the font size for the meter 4/4 and tempo 120.000 (which are actually quite readable) are larger than the font size for the labels "Meter and Tempo". So, for example, the 4/4 overlaps the ruler space for Tempo and the 120.000 overlaps the ruler space for Range Markers. It's a real mess.
TagsNo tags attached.
Attached Filespng file icon Screenshot from 2017-02-02 22:00:41.png [^] (190,896 bytes) 2017-02-05 16:31

- Relationships
related to 0007331new Some elements don't scale with HiDPI displays 

-  Notes
(0019410)
nick_m (reporter)
2017-02-18 03:21

does anything change when you alter the font scaling in the preferences tab?
(0019413)
mhartzel (reporter)
2017-02-18 09:15

Rulers are fine here in Ardour 5.6, so the problem must be connected to something in the OP's system.
(0019418)
timbyr (developer)
2017-02-19 14:54

Is this with GUI and font scaling set to default/100% in Preferences?

Have you tried changing the font scaling and does it fix the issue?

I don't have a 4K monitor to test this here, it is possible the default GUI and font scaling is not appropriate in that case.
(0019421)
graydw57 (reporter)
2017-02-20 11:51

I have exactly the same issue. I'm using a Dell Precision 7510 with the 4K display screen. I have to run the GUI scaling slider to 200% (max) to get a usable screen. The ruler (specifically) is badly squashed.

OS is Ubuntu 16.04, using Intel/Nvidia display (Nvidia Prime enabled.) This is an issue with the Ubuntu desktop, and Mate as well.

Oh, and some of the GUI elements (specifically checkboxes) are really tiny, also.
(0019429)
t6sn7gt (reporter)
2017-02-21 17:03

The ruler labels get bigger or smaller, though they're still 'tight'. But the tempo "120" is still supersized at all GUI scaling.
(0019654)
graydw57 (reporter)
2017-05-04 13:03

OK, ok. I finally had to have a go at it.

In editor.cc change:
timebar_height = std::max(12., ceil (15. * ARDOUR_UI::ui_scale));

to

timebar_height = std::max(12., ceil (15. * UIConfiguration::instance().get_ui_scale()));

All fixed.

This will probably fix #7331 too.
(0019657)
x42 (administrator)
2017-05-05 05:01

Applied in Ardour 5.8-648-g833515586 - thanks

- Issue History
Date Modified Username Field Change
2017-02-05 16:31 t6sn7gt New Issue
2017-02-05 16:31 t6sn7gt File Added: Screenshot from 2017-02-02 22:00:41.png
2017-02-18 03:21 nick_m Note Added: 0019410
2017-02-18 09:15 mhartzel Note Added: 0019413
2017-02-19 14:54 timbyr Note Added: 0019418
2017-02-19 14:54 timbyr Status new => feedback
2017-02-20 11:51 graydw57 Note Added: 0019421
2017-02-21 17:03 t6sn7gt Note Added: 0019429
2017-02-21 17:03 t6sn7gt Status feedback => new
2017-05-04 13:03 graydw57 Note Added: 0019654
2017-05-05 05:00 x42 Relationship added related to 0007331
2017-05-05 05:01 x42 Note Added: 0019657
2017-05-05 05:01 x42 Status new => resolved
2017-05-05 05:01 x42 Resolution open => fixed
2017-05-05 05:01 x42 Assigned To => x42


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker